﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;
using Telerik.Windows.Controls;  

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public bool flag = true; 
        public MainPage()
        {
            InitializeComponent();

            List<Manufacturer> data = new List<Manufacturer>();
            data.Add(new Manufacturer(-0.5, "Toyota", 100, 500, 215));
            data.Add(new Manufacturer(1.5, "Ford", 100, 500, 192));
            data.Add(new Manufacturer(2.5, "Volkswagen", 100, 500, 44544));
            data.Add(new Manufacturer(3.5,"Ford2", 100, 500, 125));
            data.Add(new Manufacturer(4.5, "Volkswagen2", 100, 500, 29151));

            RadChart1.ItemsSource = data;

            this.RadChart1.Background = new SolidColorBrush(Colors.Transparent);
        }

        private void RadChart1_LayoutUpdated(object sender, EventArgs e)
        {
            if (flag)
            {
                var labellist = RadChart1.DefaultView.ChartArea.ChildrenOfType<SeriesItemLabel>();
                foreach (var label in labellist)
                {
                    double leftMargin = label.ActualWidth / 2 + 5;
                    label.Margin = new Thickness(-leftMargin, -5, 0, 0);
                }
            }
            flag = false;
        } 
    }

    public class Manufacturer
    {
        public Manufacturer(double xValue, string modelYear, int cCPV, int remainingPCPV, int numberOfVINs)
        {
            this.XValue = xValue;
            this.ModelYear = modelYear;
            this.CCPV = cCPV;
            this.RemainingPCPV = remainingPCPV;
            this.NumberOfVINs = numberOfVINs;
        }
        public double XValue
        {
            get;
            set;
        }
        public string ModelYear
        {
            get;
            set;
        }
        public int CCPV
        {
            get;
            set;
        }
        public int RemainingPCPV
        {
            get;
            set;
        }
        public int NumberOfVINs
        {
            get;
            set;
        }
    }

}
